commit 252e7fac5cd5b08f20a884056efabbd131e40225
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Feb 2 01:19:34 2026

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 085bf3a226d..95ff8268247 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20260201
+20260202
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index dc764711259..0a7981958bf 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,19 @@
+2026-02-01  Eric Botcazou  <ebotcazou@adacore.com>
+	    Liam Powell  <liam@liampwll.com>
+
+	PR ada/123902
+	* sem_ch4.adb (Analyze_Selected_Component): Also test
+	Core_Extensions_Allowed for discriminated private types.
+	Rework and augment commentary throughout the procedure.
+
+2026-02-01  Eric Botcazou  <ebotcazou@adacore.com>
+	    Liam Powell  <liam@liampwll.com>
+
+	PR ada/121316
+	* exp_ch5.adb (Expand_Iterator_Loop_Over_Array): Minor tweak.
+	(Expand_Iterator_Loop_Over_Container): Likewise.
+	(Expand_N_Loop_Statement): Use Statements (N) throughout.
+
 2026-01-30  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/123867
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 2fc779f869a..f1391d0ac5e 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,14 @@
+2026-02-01  Eric Botcazou  <ebotcazou@adacore.com>
+	    Liam Powell  <liam@liampwll.com>
+
+	* gnat.dg/prefix4.adb: New test.
+	* gnat.dg/prefix4_pkg.ads: New helper.
+
+2026-02-01  Eric Botcazou  <ebotcazou@adacore.com>
+	    Liam Powell  <liam@liampwll.com>
+
+	* gnat.dg/iter7.adb: New test.
+
 2026-01-30  Eric Botcazou  <ebotcazou@adacore.com>
 
 	* gnat.dg/specs/limited_with3.ads: New test.

